Issue 97053 - IFileDialog::SetFolder() also needed for Open Dialog
Summary: IFileDialog::SetFolder() also needed for Open Dialog
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOO300m9
Hardware: PC Windows Vista
: P3 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: carsten.driesner
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-09 08:06 UTC by hennerdrewes
Modified: 2017-05-20 10:28 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch (1.76 KB, patch)
2008-12-09 08:07 UTC, hennerdrewes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description hennerdrewes 2008-12-09 08:06:22 UTC
Small fix to Vista file dialog
Comment 1 hennerdrewes 2008-12-09 08:07:04 UTC
Created attachment 58641 [details]
patch
Comment 2 Olaf Felka 2008-12-09 08:11:12 UTC
reassigned
Comment 3 hennerdrewes 2008-12-09 08:16:53 UTC
There are open dialogs, where the filename is set in advance. In these cases the
file dialog should also change the folder.

For the other cases the file dialog remembers the previous location, but this
might be problematic in some cases, because we ignore a request from the
application level. 
It might be nice to add the "ignored" folder to the places list. This should
give the user a nice option to switch instantly to this folder.
Comment 4 uwe.luebbers 2008-12-09 10:57:22 UTC
Sorry, 3.0.1 target needs to be discussed in the releases board and have to be 
approved by the the release status meeting. 
Comment 5 hennerdrewes 2008-12-09 11:25:34 UTC
The current code of the Vista file dialog is based on a patch of mine. With this
new patch I am merely correcting myself. I think in this case it would be best
practice to include the fix in the coming release. 
Comment 6 hennes.rohling 2009-01-21 10:34:32 UTC
Sorry, Not enough time to fix for 3.1,.

The patch is a "nice to have", so I'll retarget it to 3.2.
Comment 7 hennes.rohling 2009-05-04 12:07:08 UTC
Reassigned
Comment 8 carsten.driesner 2009-07-08 16:26:46 UTC
cd: Set to started.
Comment 9 carsten.driesner 2009-07-09 09:36:19 UTC
@hennerdrewes: Patch accepted and comitted to CWS filepicker02.
Comment 10 carsten.driesner 2009-07-23 08:46:39 UTC
cd: Verified.